Home » Developer & Programmer » Forms » Forms6i error
Forms6i error [message #80281] Tue, 03 September 2002 08:31 Go to next message
aish
Messages: 44
Registered: March 2001
Member
I have upgraded the forms from 4.5 to 6i and when I tried to open the form PCOECU20 it gives me error

FRM-18108 Failed to load the following objects:
Source Module: PCOEar10
Source Object: STRUCTURE_NAME_QF_LOV
Source Object: pc_object_Group1

... and several others...

The form and libraries (pll, plx) are in the same directory.

Can anyone help?
Re: Forms6i error [message #80291 is a reply to message #80281] Wed, 04 September 2002 00:00 Go to previous messageGo to next message
sudhakar chandu
Messages: 16
Registered: September 2002
Junior Member
There could be a problem with your object libraries,please check them.
Re: Forms6i error [message #83827 is a reply to message #80291] Tue, 16 December 2003 18:26 Go to previous message
GL Narayanan
Messages: 2
Registered: December 2003
Junior Member
My problem is similar
-----------
Hi, Tom.

We hd developed appln in Oracle Workgroup server 7.3
and D2k 2000 froms 4.5 and Reports 2.5(v1.2).
As of now the Oracle has been upgraded to 8.0.4 but the application is still the same.

Now we want to upgrade to Oracle 9i under Linux and appln to developer 9i.
I read somewhere that the appln should be first upgraded to D2k v6i then to 9i.
But I could get hold of Developer v6(Developer V6.0) and installed.
Tried to open the forms (Forms [[32 Bit]] Version 6.0.5.0.2 (Production)) in it.
I am experirncing problems as follows:

1. The form has reference to another form for some canvasses,windows,property classes etc.
While opening it says it cannot find the referenced objetcs while the reference form is available in the current directory.
I tried to re-reference it but after saving and opening again it says that
the referenced form does not exist.

How to go about? I hv about 60 forms and rereferencing(if it is the only soln) will
be a herculean task.

In the help section the foll. is said:
---------
How do I upgrade application FORMB which has referenced objects from a library form FORMA?

Answer

Perform the following steps :

1 Produce an INP file for FORMA if you don't have one already.
You would use "IAC30 FORMA UN/PW" to do this.

2 Upgrade FORMA.INP to FORMA.FMB.

3 Open FORMA.FMB from Form Builder 5.0, and choose FileSave As to the
database (may have to visit your preference screen to be given the
chance to save to the database).

4 Upgrade FORMB.FMB. During the upgrade, reference information
is still read from the *Forms 3.0 tables*.

5 When you subsequently Open or Generate FORMB.FMB from Form Builder 6.0,
Form Builder will expect to *now* find the reference information in the
Form Builder 6.0 database tables.
Note that in 6.0 you can reference from the file system as well as the database.
--------
I do not understand what is "IAC30". There is no utility like that.
How do I upgrade INP to .Fmb,
Do I need Forms 5.0?


2. In the same form there are libraies attached. Again the problem is as above.

Can u pl. help.

Thanks in advance.


your reply
-----------
There could be a problem with your object libraries,please check them.
Post
-----
I have upgraded the forms from 4.5 to 6i and when I tried to open the form PCOECU20 it gives me error
FRM-18108 Failed to load the following objects:
Source Module: PCOEar10
Source Object: STRUCTURE_NAME_QF_LOV
Source Object: pc_object_Group1

... and several others...

The form and libraries (pll, plx) are in the same directory.

Can anyone help?
Previous Topic: Runtime Change of Push Button Access key
Next Topic: frm -30087 :unable to create from file &help
Goto Forum:
  


Current Time: Mon Aug 15 05:06:19 CDT 2022